# std::experimental::filesystem::directory_entry::assign

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | directory entry

void assign( const path& p ); |  | (filesystem TS)

Assigns new content to the directory entry object. Sets the path to `p`.

### Parameters

| This section is incomplete

### Return value

(none)

### Exceptions

| This section is incomplete

### See also

operator= | assigns contents (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/directory_entry/assign&oldid=84976"